Subject: bug#46737: Services breakage from the PostgreSQL socket-directory configuration change

From: Mathieu Othacehe <[email-masked]>
Date: Thu, 25 Feb 2021 14:39:41 +0100

Hello Chris,

> One workaround, the one employed in the tests is to revert to the old
> behaviour for the PostgreSQL service by setting socket-directory to #f.

You're right, sorry about the breakage. As you noticed we are in an
in-between situation where the patch updating Postgresql package to use
"/var/run/postgresql" by default is only on core-updates, but the
service is already using it as a default on master.

This means that "createdb", "dropdb" and other Postgresql user tools
need to have an explicit "-h /var/run/postgresql" argument for now.

Until the package patch gets merged in the master branch, we could set
the "socket-directory" field of <postgresql-config-file> record to #f to
restore an acceptable default behaviour.

WDYT?

Sorry again for breaking things,

Mathieu